scala.swing.Component

# SuperMixin

#### trait SuperMixin extends JComponent

This trait is used to redirect certain calls from the peer to the wrapper and back. Useful to expose methods that can be customized by overriding.

Attributes
  protected
Source
  Component.scala

Linear Supertypes
JComponent, HasGetTransferHandler, Container, Component, Serializable, MenuContainer, ImageObserver, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. SuperMixin
2. JComponent
3. HasGetTransferHandler
4. Container
5. Component
6. Serializable
7. MenuContainer
8. ImageObserver
9. AnyRef
10. Any

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def __super__paint(g: Graphics): Unit

7. #### def __super__paintBorder(g: Graphics): Unit

8. #### def __super__paintChildren(g: Graphics): Unit

9. #### def __super__paintComponent(g: Graphics): Unit

10. #### def add(arg0: Component, arg1: Any, arg2: Int): Unit

    Definition Classes
      Container

11. #### def add(arg0: Component, arg1: Any): Unit

    Definition Classes
      Container

12. #### def add(arg0: Component, arg1: Int): Component

    Definition Classes
      Container

13. #### def add(arg0: String, arg1: Component): Component

    Definition Classes
      Container

14. #### def add(arg0: Component): Component

    Definition Classes
      Container

15. #### def add(arg0: PopupMenu): Unit

    Definition Classes
      Component

16. #### def addAncestorListener(arg0: AncestorListener): Unit

    Definition Classes
      JComponent

17. #### def addComponentListener(arg0: ComponentListener): Unit

    Definition Classes
      Component

18. #### def addContainerListener(arg0: ContainerListener): Unit

    Definition Classes
      Container

19. #### def addFocusListener(arg0: FocusListener): Unit

    Definition Classes
      Component

20. #### def addHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

    Definition Classes
      Component

21. #### def addHierarchyListener(arg0: HierarchyListener): Unit

    Definition Classes
      Component

22. #### def addImpl(arg0: Component, arg1: Any, arg2: Int): Unit

    Attributes
      protected[awt]
    Definition Classes
      Container

23. #### def addInputMethodListener(arg0: InputMethodListener): Unit

    Definition Classes
      Component

24. #### def addKeyListener(arg0: KeyListener): Unit

    Definition Classes
      Component

25. #### def addMouseListener(arg0: MouseListener): Unit

    Definition Classes
      Component

26. #### def addMouseMotionListener(arg0: MouseMotionListener): Unit

    Definition Classes
      Component

27. #### def addMouseWheelListener(arg0: MouseWheelListener): Unit

    Definition Classes
      Component

28. #### def addNotify(): Unit

    Definition Classes
      JComponent → Container → Component

29. #### def addPropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

30. #### def addPropertyChangeListener(arg0: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

31. #### def addVetoableChangeListener(arg0: VetoableChangeListener): Unit

    Definition Classes
      JComponent

32. #### def applyComponentOrientation(arg0: ComponentOrientation): Unit

    Definition Classes
      Container → Component

33. #### def areFocusTraversalKeysSet(arg0: Int): Boolean

    Definition Classes
      Container → Component

34. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

35. #### def checkImage(arg0: Image, arg1: Int, arg2: Int, arg3: ImageObserver): Int

    Definition Classes
      Component

36. #### def checkImage(arg0: Image, arg1: ImageObserver): Int

    Definition Classes
      Component

37. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

38. #### def coalesceEvents(arg0: AWTEvent, arg1: AWTEvent): AWTEvent

    Attributes
      protected[awt]
    Definition Classes
      Component

39. #### def computeVisibleRect(arg0: Rectangle): Unit

    Definition Classes
      JComponent

40. #### def contains(arg0: Int, arg1: Int): Boolean

    Definition Classes
      JComponent → Component

41. #### def contains(arg0: Point): Boolean

    Definition Classes
      Component

42. #### def createImage(arg0: Int, arg1: Int): Image

    Definition Classes
      Component

43. #### def createImage(arg0: ImageProducer): Image

    Definition Classes
      Component

44. #### def createToolTip(): JToolTip

    Definition Classes
      JComponent

45. #### def createVolatileImage(arg0: Int, arg1: Int, arg2: ImageCapabilities): VolatileImage

    Definition Classes
      Component
    Annotations
      @throws()

46. #### def createVolatileImage(arg0: Int, arg1: Int): VolatileImage

    Definition Classes
      Component

47. #### final def disableEvents(arg0: Long): Unit

    Attributes
      protected[awt]
    Definition Classes
      Component

48. #### final def dispatchEvent(arg0: AWTEvent): Unit

    Definition Classes
      Component

49. #### def doLayout(): Unit

    Definition Classes
      Container → Component

50. #### final def enableEvents(arg0: Long): Unit

    Attributes
      protected[awt]
    Definition Classes
      Component

51. #### def enableInputMethods(arg0: Boolean): Unit

    Definition Classes
      Component

52. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

53. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

54. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

55. #### def findComponentAt(arg0: Point): Component

    Definition Classes
      Container

56. #### def findComponentAt(arg0: Int, arg1: Int): Component

    Definition Classes
      Container

57. #### def firePropertyChange(arg0: String, arg1: Char, arg2: Char): Unit

    Definition Classes
      JComponent → Component

58. #### def firePropertyChange(arg0: String, arg1: Int, arg2: Int): Unit

    Definition Classes
      JComponent → Component

59. #### def firePropertyChange(arg0: String, arg1: Boolean, arg2: Boolean): Unit

    Definition Classes
      JComponent → Component

60. #### def firePropertyChange(arg0: String, arg1: Double, arg2: Double): Unit

    Definition Classes
      Component

61. #### def firePropertyChange(arg0: String, arg1: Float, arg2: Float): Unit

    Definition Classes
      Component

62. #### def firePropertyChange(arg0: String, arg1: Long, arg2: Long): Unit

    Definition Classes
      Component

63. #### def firePropertyChange(arg0: String, arg1: Short, arg2: Short): Unit

    Definition Classes
      Component

64. #### def firePropertyChange(arg0: String, arg1: Byte, arg2: Byte): Unit

    Definition Classes
      Component

65. #### def firePropertyChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[awt]
    Definition Classes
      Component

66. #### def fireVetoableChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[swing]
    Definition Classes
      JComponent
    Annotations
      @throws()

67. #### def getAccessibleContext(): AccessibleContext

    Definition Classes
      JComponent → Component

68. #### def getActionForKeyStroke(arg0: KeyStroke): ActionListener

    Definition Classes
      JComponent

69. #### final def getActionMap(): ActionMap

    Definition Classes
      JComponent

70. #### def getAlignmentX(): Float

    Definition Classes
      JComponent → Container → Component

71. #### def getAlignmentY(): Float

    Definition Classes
      JComponent → Container → Component

72. #### def getAncestorListeners(): Array[AncestorListener]

    Definition Classes
      JComponent

73. #### def getAutoscrolls(): Boolean

    Definition Classes
      JComponent

74. #### def getBackground(): Color

    Definition Classes
      Component

75. #### def getBaseline(arg0: Int, arg1: Int): Int

    Definition Classes
      JComponent → Component

76. #### def getBaselineResizeBehavior(): BaselineResizeBehavior

    Definition Classes
      JComponent → Component

77. #### def getBorder(): Border

    Definition Classes
      JComponent

78. #### def getBounds(arg0: Rectangle): Rectangle

    Definition Classes
      JComponent → Component

79. #### def getBounds(): Rectangle

    Definition Classes
      Component

80. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

81. #### final def getClientProperty(arg0: Any): AnyRef

    Definition Classes
      JComponent

82. #### def getColorModel(): ColorModel

    Definition Classes
      Component

83. #### def getComponent(arg0: Int): Component

    Definition Classes
      Container

84. #### def getComponentAt(arg0: Point): Component

    Definition Classes
      Container → Component

85. #### def getComponentAt(arg0: Int, arg1: Int): Component

    Definition Classes
      Container → Component

86. #### def getComponentCount(): Int

    Definition Classes
      Container

87. #### def getComponentGraphics(arg0: Graphics): Graphics

    Attributes
      protected[swing]
    Definition Classes
      JComponent

88. #### def getComponentListeners(): Array[ComponentListener]

    Definition Classes
      Component

89. #### def getComponentOrientation(): ComponentOrientation

    Definition Classes
      Component

90. #### def getComponentPopupMenu(): JPopupMenu

    Definition Classes
      JComponent

91. #### def getComponentZOrder(arg0: Component): Int

    Definition Classes
      Container

92. #### def getComponents(): Array[Component]

    Definition Classes
      Container

93. #### def getConditionForKeyStroke(arg0: KeyStroke): Int

    Definition Classes
      JComponent

94. #### def getContainerListeners(): Array[ContainerListener]

    Definition Classes
      Container

95. #### def getCursor(): Cursor

    Definition Classes
      Component

96. #### def getDebugGraphicsOptions(): Int

    Definition Classes
      JComponent

97. #### def getDropTarget(): DropTarget

    Definition Classes
      Component

98. #### def getFocusCycleRootAncestor(): Container

    Definition Classes
      Component

99. #### def getFocusListeners(): Array[FocusListener]

    Definition Classes
      Component

100. #### def getFocusTraversalKeys(arg0: Int): Set[AWTKeyStroke]

     Definition Classes
       Container → Component

101. #### def getFocusTraversalKeysEnabled(): Boolean

     Definition Classes
       Component

102. #### def getFocusTraversalPolicy(): FocusTraversalPolicy

     Definition Classes
       Container

103. #### def getFont(): Font

     Definition Classes
       Component → MenuContainer

104. #### def getFontMetrics(arg0: Font): FontMetrics

     Definition Classes
       JComponent → Component

105. #### def getForeground(): Color

     Definition Classes
       Component

106. #### def getGraphics(): Graphics

     Definition Classes
       JComponent → Component

107. #### def getGraphicsConfiguration(): GraphicsConfiguration

     Definition Classes
       Component

108. #### def getHeight(): Int

     Definition Classes
       JComponent → Component

109. #### def getHierarchyBoundsListeners(): Array[HierarchyBoundsListener]

     Definition Classes
       Component

110. #### def getHierarchyListeners(): Array[HierarchyListener]

     Definition Classes
       Component

111. #### def getIgnoreRepaint(): Boolean

     Definition Classes
       Component

112. #### def getInheritsPopupMenu(): Boolean

     Definition Classes
       JComponent

113. #### def getInputContext(): InputContext

     Definition Classes
       Component

114. #### final def getInputMap(): InputMap

     Definition Classes
       JComponent

115. #### final def getInputMap(arg0: Int): InputMap

     Definition Classes
       JComponent

116. #### def getInputMethodListeners(): Array[InputMethodListener]

     Definition Classes
       Component

117. #### def getInputMethodRequests(): InputMethodRequests

     Definition Classes
       Component

118. #### def getInputVerifier(): InputVerifier

     Definition Classes
       JComponent

119. #### def getInsets(arg0: Insets): Insets

     Definition Classes
       JComponent

120. #### def getInsets(): Insets

     Definition Classes
       JComponent → Container

121. #### def getKeyListeners(): Array[KeyListener]

     Definition Classes
       Component

122. #### def getLayout(): LayoutManager

     Definition Classes
       Container

123. #### def getListeners[T <: EventListener](arg0: Class[T]): Array[T]

     Definition Classes
       JComponent → Container → Component

124. #### def getLocale(): Locale

     Definition Classes
       Component

125. #### def getLocation(arg0: Point): Point

     Definition Classes
       JComponent → Component

126. #### def getLocation(): Point

     Definition Classes
       Component

127. #### def getLocationOnScreen(): Point

     Definition Classes
       Component

128. #### def getMaximumSize(): Dimension

     Definition Classes
       JComponent → Container → Component

129. #### def getMinimumSize(): Dimension

     Definition Classes
       JComponent → Container → Component

130. #### def getMouseListeners(): Array[MouseListener]

     Definition Classes
       Component

131. #### def getMouseMotionListeners(): Array[MouseMotionListener]

     Definition Classes
       Component

132. #### def getMousePosition(arg0: Boolean): Point

     Definition Classes
       Container
     Annotations
       @throws()

133. #### def getMousePosition(): Point

     Definition Classes
       Component
     Annotations
       @throws()

134. #### def getMouseWheelListeners(): Array[MouseWheelListener]

     Definition Classes
       Component

135. #### def getName(): String

     Definition Classes
       Component

136. #### def getParent(): Container

     Definition Classes
       Component

137. #### def getPopupLocation(arg0: MouseEvent): Point

     Definition Classes
       JComponent

138. #### def getPreferredSize(): Dimension

     Definition Classes
       JComponent → Container → Component

139. #### def getPropertyChangeListeners(arg0: String): Array[PropertyChangeListener]

     Definition Classes
       Component

140. #### def getPropertyChangeListeners(): Array[PropertyChangeListener]

     Definition Classes
       Component

141. #### def getRegisteredKeyStrokes(): Array[KeyStroke]

     Definition Classes
       JComponent

142. #### def getRootPane(): JRootPane

     Definition Classes
       JComponent

143. #### def getSize(arg0: Dimension): Dimension

     Definition Classes
       JComponent → Component

144. #### def getSize(): Dimension

     Definition Classes
       Component

145. #### def getToolTipLocation(arg0: MouseEvent): Point

     Definition Classes
       JComponent

146. #### def getToolTipText(arg0: MouseEvent): String

     Definition Classes
       JComponent

147. #### def getToolTipText(): String

     Definition Classes
       JComponent

148. #### def getToolkit(): Toolkit

     Definition Classes
       Component

149. #### def getTopLevelAncestor(): Container

     Definition Classes
       JComponent

150. #### def getTransferHandler(): TransferHandler

     Definition Classes
       JComponent → HasGetTransferHandler

151. #### final def getTreeLock(): AnyRef

     Definition Classes
       Component

152. #### def getUIClassID(): String

     Definition Classes
       JComponent

153. #### def getVerifyInputWhenFocusTarget(): Boolean

     Definition Classes
       JComponent

154. #### def getVetoableChangeListeners(): Array[VetoableChangeListener]

     Definition Classes
       JComponent

155. #### def getVisibleRect(): Rectangle

     Definition Classes
       JComponent

156. #### def getWidth(): Int

     Definition Classes
       JComponent → Component

157. #### def getX(): Int

     Definition Classes
       JComponent → Component

158. #### def getY(): Int

     Definition Classes
       JComponent → Component

159. #### def grabFocus(): Unit

     Definition Classes
       JComponent

160. #### def hasFocus(): Boolean

     Definition Classes
       Component

161. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any

162. #### def imageUpdate(arg0: Image, arg1: Int, arg2: Int, arg3: Int, arg4: Int, arg5: Int): Boolean

     Definition Classes
       Component → ImageObserver

163. #### def invalidate(): Unit

     Definition Classes
       Container → Component

164. #### def isAncestorOf(arg0: Component): Boolean

     Definition Classes
       Container

165. #### def isBackgroundSet(): Boolean

     Definition Classes
       Component

166. #### def isCursorSet(): Boolean

     Definition Classes
       Component

167. #### def isDisplayable(): Boolean

     Definition Classes
       Component

168. #### def isDoubleBuffered(): Boolean

     Definition Classes
       JComponent → Component

169. #### def isEnabled(): Boolean

     Definition Classes
       Component

170. #### def isFocusCycleRoot(): Boolean

     Definition Classes
       Container

171. #### def isFocusCycleRoot(arg0: Container): Boolean

     Definition Classes
       Container → Component

172. #### def isFocusOwner(): Boolean

     Definition Classes
       Component

173. #### final def isFocusTraversalPolicyProvider(): Boolean

     Definition Classes
       Container

174. #### def isFocusTraversalPolicySet(): Boolean

     Definition Classes
       Container

175. #### def isFocusable(): Boolean

     Definition Classes
       Component

176. #### def isFontSet(): Boolean

     Definition Classes
       Component

177. #### def isForegroundSet(): Boolean

     Definition Classes
       Component

178. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

179. #### def isLightweight(): Boolean

     Definition Classes
       Component

180. #### def isMaximumSizeSet(): Boolean

     Definition Classes
       Component

181. #### def isMinimumSizeSet(): Boolean

     Definition Classes
       Component

182. #### def isOpaque(): Boolean

     Definition Classes
       JComponent → Component

183. #### def isOptimizedDrawingEnabled(): Boolean

     Definition Classes
       JComponent

184. #### final def isPaintingForPrint(): Boolean

     Definition Classes
       JComponent

185. #### def isPaintingTile(): Boolean

     Definition Classes
       JComponent

186. #### def isPreferredSizeSet(): Boolean

     Definition Classes
       Component

187. #### def isRequestFocusEnabled(): Boolean

     Definition Classes
       JComponent

188. #### def isShowing(): Boolean

     Definition Classes
       Component

189. #### def isValid(): Boolean

     Definition Classes
       Component

190. #### def isValidateRoot(): Boolean

     Definition Classes
       JComponent

191. #### def isVisible(): Boolean

     Definition Classes
       Component

192. #### def list(arg0: PrintWriter, arg1: Int): Unit

     Definition Classes
       Container → Component

193. #### def list(arg0: PrintStream, arg1: Int): Unit

     Definition Classes
       Container → Component

194. #### def list(arg0: PrintWriter): Unit

     Definition Classes
       Component

195. #### def list(arg0: PrintStream): Unit

     Definition Classes
       Component

196. #### def list(): Unit

     Definition Classes
       Component

197. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

198. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

199. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

200. #### def paint(g: Graphics): Unit

     Definition Classes
       SuperMixin → JComponent → Container → Component

201. #### def paintAll(arg0: Graphics): Unit

     Definition Classes
       Component

202. #### def paintBorder(g: Graphics): Unit

     Definition Classes
       SuperMixin → JComponent

203. #### def paintChildren(g: Graphics): Unit

     Definition Classes
       SuperMixin → JComponent

204. #### def paintComponent(g: Graphics): Unit

     Definition Classes
       SuperMixin → JComponent

205. #### def paintComponents(arg0: Graphics): Unit

     Definition Classes
       Container

206. #### def paintImmediately(arg0: Rectangle): Unit

     Definition Classes
       JComponent

207. #### def paintImmediately(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       JComponent

208. #### def paramString(): String

     Attributes
       protected[swing]
     Definition Classes
       JComponent → Container → Component

209. #### def prepareImage(arg0: Image, arg1: Int, arg2: Int, arg3: ImageObserver): Boolean

     Definition Classes
       Component

210. #### def prepareImage(arg0: Image, arg1: ImageObserver): Boolean

     Definition Classes
       Component

211. #### def print(arg0: Graphics): Unit

     Definition Classes
       JComponent → Container → Component

212. #### def printAll(arg0: Graphics): Unit

     Definition Classes
       JComponent → Component

213. #### def printBorder(arg0: Graphics): Unit

     Attributes
       protected[swing]
     Definition Classes
       JComponent

214. #### def printChildren(arg0: Graphics): Unit

     Attributes
       protected[swing]
     Definition Classes
       JComponent

215. #### def printComponent(arg0: Graphics): Unit

     Attributes
       protected[swing]
     Definition Classes
       JComponent

216. #### def printComponents(arg0: Graphics): Unit

     Definition Classes
       Container

217. #### def processComponentEvent(arg0: ComponentEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

218. #### def processComponentKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[swing]
     Definition Classes
       JComponent

219. #### def processContainerEvent(arg0: ContainerEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Container

220. #### def processEvent(arg0: AWTEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Container → Component

221. #### def processFocusEvent(arg0: FocusEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

222. #### def processHierarchyBoundsEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

223. #### def processHierarchyEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

224. #### def processInputMethodEvent(arg0: InputMethodEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

225. #### def processKeyBinding(arg0: KeyStroke, arg1: KeyEvent, arg2: Int, arg3: Boolean): Boolean

     Attributes
       protected[swing]
     Definition Classes
       JComponent

226. #### def processKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[swing]
     Definition Classes
       JComponent → Component

227. #### def processMouseEvent(arg0: MouseEvent): Unit

     Attributes
       protected[swing]
     Definition Classes
       JComponent → Component

228. #### def processMouseMotionEvent(arg0: MouseEvent): Unit

     Attributes
       protected[swing]
     Definition Classes
       JComponent → Component

229. #### def processMouseWheelEvent(arg0: MouseWheelEvent): Unit

     Attributes
       protected[awt]
     Definition Classes
       Component

230. #### final def putClientProperty(arg0: Any, arg1: Any): Unit

     Definition Classes
       JComponent

231. #### def registerKeyboardAction(arg0: ActionListener, arg1: KeyStroke, arg2: Int): Unit

     Definition Classes
       JComponent

232. #### def registerKeyboardAction(arg0: ActionListener, arg1: String, arg2: KeyStroke, arg3: Int): Unit

     Definition Classes
       JComponent

233. #### def remove(arg0: Component): Unit

     Definition Classes
       Container

234. #### def remove(arg0: Int): Unit

     Definition Classes
       Container

235. #### def remove(arg0: MenuComponent): Unit

     Definition Classes
       Component → MenuContainer

236. #### def removeAll(): Unit

     Definition Classes
       Container

237. #### def removeAncestorListener(arg0: AncestorListener): Unit

     Definition Classes
       JComponent

238. #### def removeComponentListener(arg0: ComponentListener): Unit

     Definition Classes
       Component

239. #### def removeContainerListener(arg0: ContainerListener): Unit

     Definition Classes
       Container

240. #### def removeFocusListener(arg0: FocusListener): Unit

     Definition Classes
       Component

241. #### def removeHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

     Definition Classes
       Component

242. #### def removeHierarchyListener(arg0: HierarchyListener): Unit

     Definition Classes
       Component

243. #### def removeInputMethodListener(arg0: InputMethodListener): Unit

     Definition Classes
       Component

244. #### def removeKeyListener(arg0: KeyListener): Unit

     Definition Classes
       Component

245. #### def removeMouseListener(arg0: MouseListener): Unit

     Definition Classes
       Component

246. #### def removeMouseMotionListener(arg0: MouseMotionListener): Unit

     Definition Classes
       Component

247. #### def removeMouseWheelListener(arg0: MouseWheelListener): Unit

     Definition Classes
       Component

248. #### def removeNotify(): Unit

     Definition Classes
       JComponent → Container → Component

249. #### def removePropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

     Definition Classes
       Component

250. #### def removePropertyChangeListener(arg0: PropertyChangeListener): Unit

     Definition Classes
       Component

251. #### def removeVetoableChangeListener(arg0: VetoableChangeListener): Unit

     Definition Classes
       JComponent

252. #### def repaint(arg0: Rectangle): Unit

     Definition Classes
       JComponent

253. #### def repaint(arg0: Long, arg1: Int, arg2: Int, arg3: Int, arg4: Int): Unit

     Definition Classes
       JComponent → Component

254. #### def repaint(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

255. #### def repaint(arg0: Long): Unit

     Definition Classes
       Component

256. #### def repaint(): Unit

     Definition Classes
       Component

257. #### def requestFocus(arg0: Boolean): Boolean

     Definition Classes
       JComponent → Component

258. #### def requestFocus(): Unit

     Definition Classes
       JComponent → Component

259. #### def requestFocusInWindow(arg0: Boolean): Boolean

     Attributes
       protected[swing]
     Definition Classes
       JComponent → Component

260. #### def requestFocusInWindow(): Boolean

     Definition Classes
       JComponent → Component

261. #### def resetKeyboardActions(): Unit

     Definition Classes
       JComponent

262. #### def revalidate(): Unit

     Definition Classes
       JComponent

263. #### def scrollRectToVisible(arg0: Rectangle): Unit

     Definition Classes
       JComponent

264. #### final def setActionMap(arg0: ActionMap): Unit

     Definition Classes
       JComponent

265. #### def setAlignmentX(arg0: Float): Unit

     Definition Classes
       JComponent

266. #### def setAlignmentY(arg0: Float): Unit

     Definition Classes
       JComponent

267. #### def setAutoscrolls(arg0: Boolean): Unit

     Definition Classes
       JComponent

268. #### def setBackground(arg0: Color): Unit

     Definition Classes
       JComponent → Component

269. #### def setBorder(arg0: Border): Unit

     Definition Classes
       JComponent

270. #### def setBounds(arg0: Rectangle): Unit

     Definition Classes
       Component

271. #### def setBounds(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

272. #### def setComponentOrientation(arg0: ComponentOrientation): Unit

     Definition Classes
       Component

273. #### def setComponentPopupMenu(arg0: JPopupMenu): Unit

     Definition Classes
       JComponent

274. #### def setComponentZOrder(arg0: Component, arg1: Int): Unit

     Definition Classes
       Container

275. #### def setCursor(arg0: Cursor): Unit

     Definition Classes
       Component

276. #### def setDebugGraphicsOptions(arg0: Int): Unit

     Definition Classes
       JComponent

277. #### def setDoubleBuffered(arg0: Boolean): Unit

     Definition Classes
       JComponent

278. #### def setDropTarget(arg0: DropTarget): Unit

     Definition Classes
       Component

279. #### def setEnabled(arg0: Boolean): Unit

     Definition Classes
       JComponent → Component

280. #### def setFocusCycleRoot(arg0: Boolean): Unit

     Definition Classes
       Container

281. #### def setFocusTraversalKeys(arg0: Int, arg1: java.util.Set[_ <: java.awt.AWTKeyStroke]): Unit

     Definition Classes
       JComponent → Container → Component

282. #### def setFocusTraversalKeysEnabled(arg0: Boolean): Unit

     Definition Classes
       Component

283. #### def setFocusTraversalPolicy(arg0: FocusTraversalPolicy): Unit

     Definition Classes
       Container

284. #### final def setFocusTraversalPolicyProvider(arg0: Boolean): Unit

     Definition Classes
       Container

285. #### def setFocusable(arg0: Boolean): Unit

     Definition Classes
       Component

286. #### def setFont(arg0: Font): Unit

     Definition Classes
       JComponent → Container → Component

287. #### def setForeground(arg0: Color): Unit

     Definition Classes
       JComponent → Component

288. #### def setIgnoreRepaint(arg0: Boolean): Unit

     Definition Classes
       Component

289. #### def setInheritsPopupMenu(arg0: Boolean): Unit

     Definition Classes
       JComponent

290. #### final def setInputMap(arg0: Int, arg1: InputMap): Unit

     Definition Classes
       JComponent

291. #### def setInputVerifier(arg0: InputVerifier): Unit

     Definition Classes
       JComponent

292. #### def setLayout(arg0: LayoutManager): Unit

     Definition Classes
       Container

293. #### def setLocale(arg0: Locale): Unit

     Definition Classes
       Component

294. #### def setLocation(arg0: Point): Unit

     Definition Classes
       Component

295. #### def setLocation(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

296. #### def setMaximumSize(arg0: Dimension): Unit

     Definition Classes
       JComponent → Component

297. #### def setMinimumSize(arg0: Dimension): Unit

     Definition Classes
       JComponent → Component

298. #### def setName(arg0: String): Unit

     Definition Classes
       Component

299. #### def setOpaque(arg0: Boolean): Unit

     Definition Classes
       JComponent

300. #### def setPreferredSize(arg0: Dimension): Unit

     Definition Classes
       JComponent → Component

301. #### def setRequestFocusEnabled(arg0: Boolean): Unit

     Definition Classes
       JComponent

302. #### def setSize(arg0: Dimension): Unit

     Definition Classes
       Component

303. #### def setSize(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

304. #### def setToolTipText(arg0: String): Unit

     Definition Classes
       JComponent

305. #### def setTransferHandler(arg0: TransferHandler): Unit

     Definition Classes
       JComponent

306. #### def setUI(arg0: ComponentUI): Unit

     Attributes
       protected[swing]
     Definition Classes
       JComponent

307. #### def setVerifyInputWhenFocusTarget(arg0: Boolean): Unit

     Definition Classes
       JComponent

308. #### def setVisible(arg0: Boolean): Unit

     Definition Classes
       JComponent → Component

309. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

310. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Component → AnyRef → Any

311. #### def transferFocus(): Unit

     Definition Classes
       Component

312. #### def transferFocusBackward(): Unit

     Definition Classes
       Component

313. #### def transferFocusDownCycle(): Unit

     Definition Classes
       Container

314. #### def transferFocusUpCycle(): Unit

     Definition Classes
       Component

315. #### def unregisterKeyboardAction(arg0: KeyStroke): Unit

     Definition Classes
       JComponent

316. #### def update(arg0: Graphics): Unit

     Definition Classes
       JComponent → Container → Component

317. #### def updateUI(): Unit

     Definition Classes
       JComponent

318. #### def validate(): Unit

     Definition Classes
       Container → Component

319. #### def validateTree(): Unit

     Attributes
       protected[awt]
     Definition Classes
       Container

320. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

321. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

322. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

### Deprecated Value Members

1. #### def action(arg0: Event, arg1: Any): Boolean

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def bounds(): Rectangle

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### def countComponents(): Int

   Definition Classes
     Container
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### def deliverEvent(arg0: Event): Unit

   Definition Classes
     Container → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### def disable(): Unit

   Definition Classes
     JComponent → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### def enable(): Unit

   Definition Classes
     JComponent → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

7. #### def enable(arg0: Boolean): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

8. #### def getNextFocusableComponent(): Component

   Definition Classes
     JComponent
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

9. #### def getPeer(): ComponentPeer

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

10. #### def gotFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

11. #### def handleEvent(arg0: Event): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

12. #### def hide(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

13. #### def insets(): Insets

    Definition Classes
      Container
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

14. #### def inside(arg0: Int, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

15. #### def isFocusTraversable(): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

16. #### def isManagingFocus(): Boolean

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

17. #### def keyDown(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

18. #### def keyUp(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

19. #### def layout(): Unit

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

20. #### def locate(arg0: Int, arg1: Int): Component

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

21. #### def location(): Point

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

22. #### def lostFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

23. #### def minimumSize(): Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

24. #### def mouseDown(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

25. #### def mouseDrag(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

26. #### def mouseEnter(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

27. #### def mouseExit(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

28. #### def mouseMove(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

29. #### def mouseUp(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

30. #### def move(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

31. #### def nextFocus(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

32. #### def postEvent(arg0: Event): Boolean

    Definition Classes
      Component → MenuContainer
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

33. #### def preferredSize(): Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

34. #### def requestDefaultFocus(): Boolean

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

35. #### def reshape(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

    Definition Classes
      JComponent → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

36. #### def resize(arg0: Dimension): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

37. #### def resize(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

38. #### def setNextFocusableComponent(arg0: Component): Unit

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

39. #### def show(arg0: Boolean): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

40. #### def show(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

41. #### def size(): Dimension

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

### Inherited from JComponent

### Inherited from HasGetTransferHandler

### Inherited from Container

### Inherited from Component

### Inherited from Serializable

### Inherited from MenuContainer

### Inherited from ImageObserver

### Inherited from AnyRef

### Inherited from Any